commit:     3929d3d4f0dca267e2e68a9b1d9667f2cdeda317
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  7 02:05:36 2025 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jan  7 02:06:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3929d3d4

app-containers/cri-o: add 1.31.4

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/cri-o/Manifest            |   1 +
 app-containers/cri-o/cri-o-1.31.4.ebuild | 103 +++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/app-containers/cri-o/Manifest b/app-containers/cri-o/Manifest
index cc00c81c09d8..7e0049ba9acd 100644
--- a/app-containers/cri-o/Manifest
+++ b/app-containers/cri-o/Manifest
@@ -1 +1,2 @@
 DIST cri-o-1.31.2.tar.gz 19921920 BLAKE2B 
4e60c15d73691dabab8f7f1229b0b8e534393128a53cd31639509454286ec237cf5e6bf258c8e06478b76b872b6e1e8d3481b19a277be4c0bf756b1a6d858d95
 SHA512 
be42d08ee2a9d030d9279dee269d121822de5c74aafa765688c91383a284cda890aa969a5a2b0649835893bd3b382e6bf2a1f81991710b479b4159877e0626aa
+DIST cri-o-1.31.4.tar.gz 19919611 BLAKE2B 
b9c2a855c8f8b780e4f77172dab0070cf9fa96216c1b03d1c06b42ac1385dbd9e57e4dadd88a54c4c0dde8366dda95293c1763c3fec554b79573ddd8da02aa6e
 SHA512 
c10cb633a2bbc7c3d0fdbae7b5541fc948804ca797a71532e0dcd783d0e56158650ea93d3cce36995922e04f9f22c27c4255bc40a81930e263ebb0c710372a06

diff --git a/app-containers/cri-o/cri-o-1.31.4.ebuild 
b/app-containers/cri-o/cri-o-1.31.4.ebuild
new file mode 100644
index 000000000000..3bc77ec3ed72
--- /dev/null
+++ b/app-containers/cri-o/cri-o-1.31.4.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+EGIT_COMMIT=33d75981bee230f791709975125d7386fe2c530a
+
+inherit go-module
+
+DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime 
Interface"
+HOMEPAGE="https://cri-o.io/";
+SRC_URI="https://github.com/cri-o/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="btrfs +device-mapper selinux systemd"
+
+COMMON_DEPEND="
+       app-crypt/gpgme:=
+       app-containers/conmon
+       app-containers/runc
+       dev-libs/glib:=
+       dev-libs/libassuan:=
+       dev-libs/libgpg-error:=
+       net-firewall/conntrack-tools
+       net-firewall/iptables
+       app-containers/cni-plugins
+       net-misc/socat
+       sys-apps/iproute2
+       sys-libs/libseccomp:=
+       btrfs? ( sys-fs/btrfs-progs )
+       device-mapper? ( sys-fs/lvm2:= )
+       selinux? ( sys-libs/libselinux:= )
+       systemd? ( sys-apps/systemd:= )"
+DEPEND="
+       ${COMMON_DEPEND}
+       dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}
+       !<app-containers/podman-1.3.2-r1
+       selinux? ( sec-policy/selinux-crio )"
+BDEPEND="sys-apps/which"
+
+src_prepare() {
+       default
+
+       sed -e '/^export GOPROXY=/d' \
+               -e '/^GIT_.*/d' \
+               -e '/   git diff --exit-code/d' \
+               -e 's/$(GO) build -i/$(GO) build -v -work -x/' \
+               -e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
+               -e "s|^GIT_COMMIT := .*|GIT_COMMIT := ${EGIT_COMMIT}|" \
+               -e "s|^COMMIT_NO := .*|COMMIT_NO := ${EGIT_COMMIT}|" \
+               -i Makefile || die
+
+       echo ".NOTPARALLEL: binaries docs" >> Makefile || die
+
+       sed -e 's:/usr/local/bin:/usr/bin:' \
+               -i contrib/systemd/* || die
+}
+
+src_compile() {
+       [[ -f hack/btrfs_installed_tag.sh ]] || die
+       use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+               hack/btrfs_installed_tag.sh || die; }
+
+       [[ -f hack/libdm_installed.sh ]] || die
+       use device-mapper || { echo -e "#!/bin/sh\necho 
exclude_graphdriver_devicemapper" > \
+               hack/libdm_installed.sh || die; }
+
+       [[ -f hack/selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               hack/selinux_tag.sh || die; }
+
+       mkdir -p bin || die
+       emake all \
+               GOBIN="${S}/bin" \
+               GO_BUILD="go build ${GOFLAGS}" \
+               GO_MD2MAN="$(which go-md2man)"
+}
+
+src_install() {
+       emake install install.config install.systemd \
+               DESTDIR="${D}" \
+               GO_MD2MAN="$(which go-md2man)" \
+               PREFIX="${D}${EPREFIX}/usr"
+       keepdir /etc/crio
+       mv "${ED}/etc/crio/crio.conf"{,.example} || die
+
+       newinitd "${FILESDIR}/crio.initd" crio
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+
+       # Suppress crio log error messages triggered if these don't exist.
+       keepdir /etc/containers/oci/hooks.d
+       keepdir /usr/share/containers/oci/hooks.d
+
+       # Suppress crio "Missing CNI default network" log message.
+       keepdir /etc/cni/net.d
+       insinto /etc/cni/net.d
+       doins contrib/cni/99-loopback.conflist
+}

Reply via email to